/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import javax.servlet.jsp.JspTagException;


/**
 * <p>
 * Exception thrown in all cases where the BreadCrumbTrailTag cannot correctly parse, format and draw bread crumb
 * trail. If silentErrors is true, this exception is caught and the BreadCrumpTrailTag.doStartTag() ends without
 * drawing tag.
 * </p>
 *
 * <p>
 * <b>Thread Safety:</b> This class is immutable and therefore thread safe.
 * </p>
 *
 * @author Pops, TCSDEVELOPER
 * @version 2.0
 */
public class BreadCrumbException extends JspTagException {
    /**
     * <p>
     * Constructs the exception from the given message.
     * </p>
     *
     * @param message The possibly null, possibly empty message
     */
    public BreadCrumbException(String message) {
        super(message);
    }

    /**
     * <p>
     * Constructs the exception from the given message and inner exception.
     * </p>
     *
     * @param message The possibly null, possibly empty message
     * @param cause The possibly null inner exception
     */
    public BreadCrumbException(String message, Throwable cause) {
        super(message, cause);
    }
}
