/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import com.topcoder.util.config.ConfigManager;

import java.util.Iterator;


/**
 * A helper class to provide some useful methods for setting up the configuration namespaces.
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class ConfigHelper {
    /**
     * The configuration file used by the bread crumb trail tag.
     */
    private static final String CONFIG_FILE = "config.xml";

    /**
     * Private constructor to prevent instantiation.
     */
    private ConfigHelper() {
    }

    /**
     * Loads the namespaces used by the bread crumb trail tag.
     *
     * @throws Exception if any unexpected exception occurs.
     */
    public static void loadConfig() throws Exception {
        unloadConfig();
        ConfigManager.getInstance().add(CONFIG_FILE);
    }

    /**
     * Clears all the namespaces.
     *
     * @throws Exception if any unexpected exception occurs.
     */
    public static void unloadConfig() throws Exception {
        ConfigManager config = ConfigManager.getInstance();

        for (Iterator i = config.getAllNamespaces(); i.hasNext();) {
            config.removeNamespace((String) i.next());
        }
    }
}
