/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery.HttpServletNodeDiscoveryTagTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery.InlineTextNodeDiscoveryTagTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.HtmlAnchorNodeFormatterTagTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.TemplateNodeFormatterTagTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.AbstractNodeMatcherTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.DynamicPathDiscoveryTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.NodePairTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.XmlPathDiscoveryTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.nodematchers.RegexNodeMatcherTest;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * This test case aggregates all Unit test cases.
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class UnitTests extends TestCase {
    /**
     * Creates a test suite for the tests in this test case.
     *
     * @return a TestSuite for this test case
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        suite.addTest(AbstractNodeDiscoveryTest.suite());
        suite.addTest(BreadCrumbExceptionTest.suite());
        suite.addTest(BreadCrumbNodeTest.suite());
        suite.addTest(BreadCrumbTrailTagExtraInfoTest.suite());
        suite.addTest(BreadCrumbTrailTagTest.suite());
        suite.addTest(DemoTest.suite());
        suite.addTest(HttpServletNodeDiscoveryTagTest.suite());
        suite.addTest(InlineTextNodeDiscoveryTagTest.suite());
        suite.addTest(HtmlAnchorNodeFormatterTagTest.suite());
        suite.addTest(TemplateNodeFormatterTagTest.suite());
        suite.addTest(AbstractNodeMatcherTest.suite());
        suite.addTest(DynamicPathDiscoveryTest.suite());
        suite.addTest(NodePairTest.suite());
        suite.addTest(XmlPathDiscoveryTest.suite());
        suite.addTest(RegexNodeMatcherTest.suite());

        return suite;
    }
}
